{ pkgs, lib }:
with pkgs;

{
  name = "fs_report";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./fs_report.xml;

  testScript = ''
    collect_modules ${depot.fs_report}/bin/*
    collect_modules ${depot.fs_rom}/bin/*
    collect_modules ${depot.ram_fs}/bin/*
    collect_modules ${depot.test-fs_report}/bin/*
    collect_modules ${depot.vfs}/lib/*

    run_genode_until {child "test-fs_report" exited with exit value 0} 15
  '';
}
