{ pkgs, lib }:
with pkgs;

rec {
  name = "log";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = lib.renderDhallInit ./log.dhall "{=}";

  testScript = ''
    collect_modules ${depot.test-log}/bin/*
    run_genode_until {Test done.} 10
  '';
}
