{ pkgs, lib }:
with pkgs;

rec {
  name = "signal";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig =  lib.renderDhallInit ./signal.dhall "{=}";

  testScript = ''
    collect_modules ${depot.test-signal}/bin/*

    run_genode_until {--- Signalling test finished ---} 80
  '';
}
